﻿@page
@model ErrorModel
@{
    ViewData["Title"] = "Error";
}

<div class="uk-container">
    <div class="uk-flex">
        <div class="uk-margin-auto uk-margin-auto-vertical uk-text-center">
            <div class="uk-width-medium@s">
                <h2>@Model.ErrorDescription</h2>
                <p>Sorry that you have encountered an error. Please return to our website to continue browsing, or contact our customer service at <a href="mailto:customerservice@beamandgo.com">customerservice@beamandgo.com</a></p>
                @if (Model.ShowRequestId)
                {
                    <p>
                        <strong>Request ID:</strong> <code>@Model.RequestId</code>
                    </p>
                }
            </div>
        </div>
    </div>
</div>
